commit df1252abc5b2312193a1e5f7eb3d94d42fa29fa8
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Jun 3 02:19:18 2023

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 9cb4f2c0b34..ef6969157c2 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,23 @@
+2023-06-02  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2023-05-21  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/109505
+	* match.pd ((x | CST1) & CST2 -> (x & CST2) | (CST1 & CST2),
+	Combine successive equal operations with constants,
+	(A +- CST1) +- CST2 -> A + CST3, (CST1 - A) +- CST2 -> CST3 - A,
+	CST1 - (CST2 - A) -> CST3 + A): Use ! on ops with 2 CONSTANT_CLASS_P
+	operands.
+
+2023-06-02  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/109505
+	* doc/match-and-simplify.texi: Amend ! documentation.
+	* genmatch.c (expr::gen_transform): Code-generate ! support
+	for GENERIC.
+	(parser::parse_expr): Allow ! for GENERIC.
+
 2023-06-01  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index d0de28459d0..1760b75fb77 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230602
+20230603
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index eb6383443fa..aa7a5f9b4c1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2023-06-02  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2023-05-21  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/109505
+	* gcc.target/aarch64/sve/pr109505.c: New test.
+
 2023-05-29  Release Manager
 
 	* GCC 11.4.0 released.

